Name:           openoffice.org-ooolatex
Version:        4.0.0
Release:        0.10.beta2%{?dist}
Summary:        Support for embedded LaTeX in Impress/Writer documents

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://ooolatex.sourceforge.net/
Source0:        http://downloads.sourceforge.net/ooolatex/OOoLatex-%{version}-beta-2-linux.oxt
Patch0:         ooolatex-fix-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define min_lo 3.2.99

BuildRequires: libreoffice-sdk >= %{min_lo}
# needs draw component to work
Requires: libreoffice-draw >= %{min_lo} 
# also needs at least writer or impress to be useful
Requires: libreoffice-writer >= %{min_lo} 
Requires: latex2emf
Requires: ghostscript
Requires: /usr/bin/latex, /usr/bin/dvips

# The location of the installed extension. Apparently the directory name must
# end with .oxt or registration will fail.
%define instdir %{_libdir}
%define baseinstdir %{instdir}/libreoffice
%define ooolatexext %{baseinstdir}/share/extensions/ooolatex.oxt

%description 
This program allows the editing and display of LaTeX equations inside
LibreOffice Writer and Impress documents


%prep
%setup -q -c -n OOoLatex-%{version}-beta-2-linux.oxt

# the following patch:
# 1) removes the interactive license confirmation and suppresses updating 
#    outside yum
# 2) extension is somewhat brain-dead when installed system-wide, 
#    so we need to patch it to write per-user info in home dir, not /usr/
%patch0 -p1

# build section empty: no build required, all noarch
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{ooolatexext}
# remove binaries that are already included in latex2emf/libEMF
rm -r bin
rm -r lib
# copy the rest
cp -a * $RPM_BUILD_ROOT%{ooolatexext}
# remove documentation already in doc
rm -r $RPM_BUILD_ROOT%{ooolatexext}/README


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{ooolatexext}
%doc README pkg-licence/gpl_GB.txt

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.10.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 30 2010 Caolán McNamara <caolanm@redhat.com> - 4.0.0-0.9.beta2
- rebuild for LibreOffice 

* Wed Jul 14 2010 Caolán McNamara <caolanm@redhat.com> - 4.0.0-0.8.beta2
- rebuild for OOo 3.3, which unfortunately require arch-specific

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.7.beta2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.6.beta2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Apr 22 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 4.0.0-0.5.beta2.1
- min_ooo BR/Requires need Epoch tag too.

* Fri Apr 11 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 4.0.0-0.5.beta2
- Bump up Requires and BR to ensure unopkg works.

* Thu Apr 10 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 4.0.0-0.4.beta2
- Buildsystem fix.

* Wed Apr  9 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 4.0.0-0.3.beta2
- Fix Release
- Include license in %doc

* Sun Apr  6 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 4.0.0-0.beta2.2
- Requires -draw component to work and -writer or -impress to be useful.  
- Apply patch and install in more conventional way.  
- Supply "yes" to license script to avoid needing to patch description.xml

* Fri Apr  4 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 4.0.0-0.beta2.1
- Initial Fedora package.

